using System;

namespace BashScrape
{
	/// <summary>
	/// Summary description for Scraper.
	/// </summary>
	public class Scraper
	{
		string str;
		int curIndex;

		public Scraper(string scrapeString)
		{
			str = scrapeString;
			curIndex = 0;
		}

		public string containedString(string start, string end)
		{
			int startIndex = str.IndexOf(start, curIndex);
			if(startIndex == -1) return null;
			startIndex += start.Length;
			int endIndex = str.IndexOf(end, startIndex);
			if(endIndex == -1) return null;
			curIndex = endIndex + end.Length;
			return str.Substring(startIndex, endIndex - startIndex);
		}
	}
}
